## unnethack 3.5.3-11

=== debian/changelog ===
unnethack (3.5.3-11) unstable; urgency=low
  
  * First release

 -- Ivan Tkatchev <tkatchev@gmail.com>  Sat, 04 Sep 2010 15:57:34 +0400
