=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	dh_testdir
 
 	# compile the package.
-	./configure --enable-curses-graphics --prefix=/opt/unnethack
+	./configure --enable-curses-graphics --with-compression=no --prefix=/opt/unnethack
 
 	touch $@
 
@@ -43,6 +43,7 @@
 	mkdir -p $(TARGET)/home/user
 	mkdir -p $(TARGET)/usr/bin
 	mkdir -p $(TARGET)/usr/share/applications/hildon
+	mkdir -p $(TARGET)/usr/share/icons/hicolor/48x48/apps
 	#cp -rfp /opt/unnethack/* $(TARGET)/opt/unnethack
 	#chown -R games:bin $(TARGET)/opt/unnethack
 	#chmod +s $(TARGET)/opt/unnethack/unnethackdir/unnethack
@@ -50,6 +51,7 @@
 	ln -s /opt/unnethack/bin/unnethack $(TARGET)/usr/bin/unnethack
 	chmod +x $(TARGET)/usr/bin/unnethack
 	cp debian/unnethack.desktop $(TARGET)/usr/share/applications/hildon/
+	cp debian/unnethack.png $(TARGET)/usr/share/icons/hicolor/48x48/apps/
 
 # Build architecture-independent files here.
 binary-indep: install
